package de.thomasjacob.improve.logic;

import de.thomasjacob.improve.logic.issue.IssueDao;
import de.thomasjacob.improve.logic.project.ProjectDao;
import de.thomasjacob.improve.logic.user.UserDao;


public class DaoLocator
{
	private static DaoLocator instance;

	private IssueDao issueDao;

	private ProjectDao projectDao;

	private UserDao userDao;

	public static DaoLocator getInstance()
	{
		return instance;
	}

	public IssueDao getIssueDao()
	{
		return this.issueDao;
	}

	public ProjectDao getProjectDao()
	{
		return this.projectDao;
	}

	public UserDao getUserDao()
	{
		return this.userDao;
	}

	public void initialize()
	{
		instance = this;
	}

	public void setIssueDao(IssueDao issueDao)
	{
		this.issueDao = issueDao;
	}

	public void setProjectDao(ProjectDao projectDao)
	{
		this.projectDao = projectDao;
	}

	public void setUserDao(UserDao userDao)
	{
		this.userDao = userDao;
	}
}